#ifndef FD_xoscope_h_
#define FD_xoscope_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void CB_xyplot_display(FL_OBJECT *, long);
extern void CB_button_color_chan1(FL_OBJECT *, long);
extern void CB_check_chan1(FL_OBJECT *, long);
extern void CB_droplist_rate(FL_OBJECT *, long);
extern void CB_droplist_trigmode(FL_OBJECT *, long);
extern void CB_droplist_trigchan(FL_OBJECT *, long);
extern void CB_droplist_opmode(FL_OBJECT *, long);
extern void CB_button_close(FL_OBJECT *, long);
extern void CB_button_spectrum(FL_OBJECT *, long);
extern void CB_button_display_setup(FL_OBJECT *, long);
extern void CB_logotipo(FL_OBJECT *, long);
extern void CB_counter_Vpos1(FL_OBJECT *, long);
extern void CB_counter_Vscale1(FL_OBJECT *, long);
extern void CB_counter_Tscale(FL_OBJECT *, long);
extern void CB_counter_trig_level(FL_OBJECT *, long);
extern void CB_counter_Tpos(FL_OBJECT *, long);
extern void CB_button_color_chan2(FL_OBJECT *, long);
extern void CB_check_chan2(FL_OBJECT *, long);
extern void CB_counter_Vpos2(FL_OBJECT *, long);
extern void CB_counter_Vscale2(FL_OBJECT *, long);
extern void CB_timer_refresh(FL_OBJECT *, long);
extern void CB_button_inv_chan1(FL_OBJECT *, long);
extern void CB_button_inv_chan2(FL_OBJECT *, long);
extern void CB_button_run(FL_OBJECT *, long);

extern void CB_button_about_OK(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *xoscope;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *xyplot_display;
	FL_OBJECT *button_color_chan1;
	FL_OBJECT *check_chan1;
	FL_OBJECT *droplist_rate;
	FL_OBJECT *droplist_trigmode;
	FL_OBJECT *droplist_trigchan;
	FL_OBJECT *droplist_opmode;
	FL_OBJECT *button_close;
	FL_OBJECT *button_spectrum;
	FL_OBJECT *button_display_setup;
	FL_OBJECT *text_mouse_V1;
	FL_OBJECT *text_mouse_V2;
	FL_OBJECT *text_mouse_T;
	FL_OBJECT *text_rms_chan1;
	FL_OBJECT *text_avr_chan1;
	FL_OBJECT *logotipo;
	FL_OBJECT *counter_Vpos1;
	FL_OBJECT *counter_Vscale1;
	FL_OBJECT *text_min_chan1;
	FL_OBJECT *text_max_chan1;
	FL_OBJECT *counter_Tscale;
	FL_OBJECT *counter_trig_level;
	FL_OBJECT *counter_Tpos;
	FL_OBJECT *text_rms_chan2;
	FL_OBJECT *text_avr_chan2;
	FL_OBJECT *text_min_chan2;
	FL_OBJECT *text_max_chan2;
	FL_OBJECT *button_color_chan2;
	FL_OBJECT *check_chan2;
	FL_OBJECT *counter_Vpos2;
	FL_OBJECT *counter_Vscale2;
	FL_OBJECT *timer_refresh;
	FL_OBJECT *button_inv_chan1;
	FL_OBJECT *button_inv_chan2;
	FL_OBJECT *button_run;
} FD_xoscope;

extern FD_xoscope * create_form_xoscope(void);
typedef struct {
	FL_FORM *about;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *button_about_OK;
	FL_OBJECT *button_about_fernudo;
} FD_about;

extern FD_about * create_form_about(void);

#endif /* FD_xoscope_h_ */
